libzypp: zyppng::detail::make_statewithtransition_set_helper< VariantSoFar, std::variant< HeadState, State... >, Transitions... > Struct Template Reference

libzypp 17.38.11

zyppng::detail::make_statewithtransition_set_helper< VariantSoFar, std::variant< HeadState, State... >, Transitions... > Struct Template Reference

`#include <zypp-core/ng/base/statemachine.h>`

## Public Types
using | FullStateType = typename make_statewithtransition<HeadState, Transitions...>::Type
using | NewVariant = typename add_type_to_collection< std::variant, FullStateType, VariantSoFar, !VariantHasType<VariantSoFar, FullStateType>()>::Type
using | Type = typename make_statewithtransition_set_helper< NewVariant, std::variant<State...>, Transitions...>::Type

## Detailed Description

template<typename VariantSoFar, typename HeadState, typename ... State, typename ... Transitions>
struct zyppng::detail::make_statewithtransition_set_helper< VariantSoFar, std::variant< HeadState, State... >, Transitions... >

Definition at line 185 of file statemachine.h.

## Member Typedef Documentation

## ◆ FullStateType

template<typename VariantSoFar, typename HeadState, typename ... State, typename ... Transitions>

using zyppng::detail::make_statewithtransition_set_helper< VariantSoFar, std::variant< HeadState, State... >, Transitions... >::FullStateType = typename make_statewithtransition<HeadState, Transitions...>::Type

Definition at line 186 of file statemachine.h.

## ◆ NewVariant

template<typename VariantSoFar, typename HeadState, typename ... State, typename ... Transitions>

using zyppng::detail::make_statewithtransition_set_helper< VariantSoFar, std::variant< HeadState, State... >, Transitions... >::NewVariant = typename add_type_to_collection< std::variant, FullStateType, VariantSoFar, !VariantHasType<VariantSoFar, FullStateType>()>::Type

Definition at line 187 of file statemachine.h.

## ◆ Type

template<typename VariantSoFar, typename HeadState, typename ... State, typename ... Transitions>

using zyppng::detail::make_statewithtransition_set_helper< VariantSoFar, std::variant< HeadState, State... >, Transitions... >::Type = typename make_statewithtransition_set_helper< NewVariant, std::variant<State...>, Transitions...>::Type

Definition at line 188 of file statemachine.h.

The documentation for this struct was generated from the following file:

- zypp-core/ng/base/statemachine.h